summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Robert Allen2010-06-30 01:02:36 +0200
committer Robby Workman2010-06-30 01:02:36 +0200
commit577256cb474209091e66f25639f42bc2eebca991 (patch)
tree5cfb8868c2d9baea8978e7c3fa893531b4a03faa
parent276efb34ffd45f89cb48656808aaae211ed7d984 (diff)
downloadslackbuilds-577256cb474209091e66f25639f42bc2eebca991.tar.gz
development/bouml: Added (UML 2 tool box)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--development/bouml/README7
-rw-r--r--development/bouml/bouml.SlackBuild81
-rw-r--r--development/bouml/bouml.info10
-rw-r--r--development/bouml/doinst.sh10
-rw-r--r--development/bouml/slack-desc19
5 files changed, 127 insertions, 0 deletions
diff --git a/development/bouml/README b/development/bouml/README
new file mode 100644
index 0000000000..f646d5a114
--- /dev/null
+++ b/development/bouml/README
@@ -0,0 +1,7 @@
+BOUML is a free UML 2 tool box allowing you to specify and generate
+code in C++, Java, Idl, Php and Python.
+
+BOUML is very fast and doesn't require much memory to manage several
+thousands of classes.
+
+This requires the qt3 package from extra/kde3-compat/
diff --git a/development/bouml/bouml.SlackBuild b/development/bouml/bouml.SlackBuild
new file mode 100644
index 0000000000..6883d0efeb
--- /dev/null
+++ b/development/bouml/bouml.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for Bouml
+
+# Written by Robert Allen slacker-at-slaphappygeeks.com
+
+# All rights reserved, including Creator Endowed Unalienable Rights
+# This script is free. Use, modify and distribute to meet your needs.
+
+PRGNAM=bouml
+VERSION=${VERSION:-4.22.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+#Qt3 is required, pass or set paths to qt3 and the qt3 version of qmake
+export QTDIR=${QTDIR:-/opt/kde3/lib/qt3}
+export QMAKEPATH=${QMAKEPATH:-/opt/kde3/bin/qmake}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${PRGNAM}_$VERSION
+tar xvf $CWD/${PRGNAM}_$VERSION.tar.gz
+cd ${PRGNAM}_$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Source Makefiles have QMAKE hard wired but must be changed to use Qt3 qmake on Slackware 13.1
+find . -name 'Makefile' |xargs sed -i 's|^QMAKE\s*=.*$|QMAKE='$QMAKEPATH'|g'
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README historic.html licence.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/bouml/bouml.info b/development/bouml/bouml.info
new file mode 100644
index 0000000000..dc06d2a67e
--- /dev/null
+++ b/development/bouml/bouml.info
@@ -0,0 +1,10 @@
+PRGNAM="bouml"
+VERSION="4.22.1"
+HOMEPAGE="http://bouml.free.fr"
+DOWNLOAD="http://downloads.sourceforge.net/bouml/bouml_4.22.1.tar.gz"
+MD5SUM="e2f7189926cfa1f01fec29d00ba62599"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Robert Allen"
+EMAIL="slacker@slpahappygeeks.com"
+APPROVED="rworkman"
diff --git a/development/bouml/doinst.sh b/development/bouml/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/development/bouml/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/development/bouml/slack-desc b/development/bouml/slack-desc
new file mode 100644
index 0000000000..99febffbf5
--- /dev/null
+++ b/development/bouml/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+bouml: bouml (free UML 2 tool box)
+bouml:
+bouml: BOUML is a free UML 2 tool box allowing you to specify and generate
+bouml: code in C++, Java, Idl, Php and Python.
+bouml:
+bouml: Homepage: http://bouml.free.fr/index.html
+bouml:
+bouml:
+bouml:
+bouml:
+bouml: